Get Public Church Profile
curl --request GET \
--url https://api.thefaithapp.com/v1/churches/public/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://api.thefaithapp.com/v1/churches/public/{uuid}"
headers = {
"X-API-Key": "<x-api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<x-api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/churches/public/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {},
"data.public_uuid": "<string>",
"data.image": "<string>"
}Church Directory
Get Public Church Profile
Fetches the public church card used before a member joins or switches church context.
GET
/
v1
/
churches
/
public
/
{uuid}
Get Public Church Profile
Returns a public-facing church profile by
public_uuid.
Request inputs
Your client API key from the dashboard (Settings page).
Public UUID of the church.
Response fields
Indicates whether the public church profile was found.
The public-facing church card returned for the supplied
public_uuid.The stable public identifier developers can use when storing or linking to a church profile.
The resolved public image URL for the church.
Example response
{
"status": "Success",
"data": {
"id": 12,
"name": "Example Church",
"email": "info@examplechurch.com",
"location": "Kampala, Uganda",
"image": "https://cdn.example.com/clients/example.png",
"about": "<p>A welcoming church community.</p>",
"public_uuid": "11111111-2222-3333-4444-555555555555"
}
}
Was this page helpful?
⌘I